Debian Bug report logs - #430750
labplot_1.5.1.6-1: FTBFS: autoconf: command not found

version graph

Package: labplot; Maintainer for labplot is Helen Faulkner <helen@debian.org>;

Reported by: "Frank S. Thomas" <fst@debian.org>

Date: Wed, 27 Jun 2007 05:00:06 UTC

Severity: serious

Found in version labplot/1.5.1.6-1

Fixed in version labplot/1.5.1.6-2.2

Done: fst@debian.org (Frank S. Thomas)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Helen Faulkner <helen@debian.org>:
Bug#430750; Package labplot. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to Helen Faulkner <helen@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: submit@bugs.debian.org
Subject: labplot_1.5.1.6-1: FTBFS: autoconf: command not found
Date: Tue, 26 Jun 2007 20:38:33 -0700
Package: labplot
Version: 1.5.1.6-1
Severity: serious

Hi Helen,

labplot is failing to build on some architectures with the following error:

[...]
cd . && /usr/bin/make -f admin/Makefile.common configure
make[2]: Entering directory `/build/buildd/labplot-1.5.1.6'
./admin/cvs.sh: line 11: autoconf: command not found
make[2]: *** [configure] Error 1
[...]

A full build log can be found at, e.g.,
<http://buildd.debian.org/fetch.cgi?pkg=labplot&arch=hppa&ver=1.5.1.6-1&stamp=1179693109>.

Since this failure didn't happen on all architectures, it is likely a result
of a race condition caused by patches to autogenerated files being included
in the Debian diff ahead of patches to the files from which they were
generated.  On a recent 2.6 kernel, you may be able to reproduce this error
with a high degree of frequency by doing a fresh unpack of the source
package and attempting to build it in a clean chroot.

The best fix here is probably to use a patch system that allows you to list
the changes to source files separately from the changes to autogenerated
files.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Helen Faulkner <helen@debian.org>:
Bug#430750; Package labplot. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Helen Faulkner <helen@debian.org>. Full text and rfc822 format available.

Message #10 received at 430750@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: control@bugs.debian.org
Cc: 430750@bugs.debian.org
Subject: tagging 430750
Date: Mon, 16 Jul 2007 02:17:55 +0200
# Automatically generated email from bts, devscripts version 2.10.6
# as announced on IRC, having a look very soon on this one
tags 430750 pending




Tags added: pending Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Mon, 16 Jul 2007 00:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Helen Faulkner <helen@debian.org>:
Bug#430750; Package labplot. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <charles-debian-nospam@plessy.org>:
Extra info received and forwarded to list. Copy sent to Helen Faulkner <helen@debian.org>. Full text and rfc822 format available.

Message #17 received at 430750@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Debian Bug Tracking System <430750@bugs.debian.org>
Subject: labplot: Patch to swich to quilt
Date: Sun, 26 Aug 2007 12:38:41 +0900
[Message part 1 (text/plain, inline)]
Package: labplot
Tags: patch
Followup-For: Bug #430750

Dear Helen and Cyril,

Here is a patch which switches the package to quilt and integrates the
fix for two previous bugs into debian/patches.

However, after reading /usr/share/doc/autotools-dev/README.Debian.gz,
I am unsure that this patch fully adresses this current
bug. Nevertheless, I hope it can be a useful base to its resolution.

Have a nice day.

-- 
Charles Plessy,
Wako, Saitama, Japan
[labplot-1.5.1.6-1.nmu.txt (text/x-c++, attachment)]

Tags removed: pending Request was from Charles Plessy <charles-debian-nospam@plessy.org> to control@bugs.debian.org. (Sun, 26 Aug 2007 04:00:02 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Charles Plessy <charles-debian-nospam@plessy.org> to control@bugs.debian.org. (Sun, 26 Aug 2007 04:00:03 GMT) Full text and rfc822 format available.

Reply sent to Helen Faulkner <helen@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 430750-close@bugs.debian.org (full text, mbox):

From: Helen Faulkner <helen@debian.org>
To: 430750-close@bugs.debian.org
Subject: Bug#430750: fixed in labplot 1.5.1.6-2
Date: Mon, 03 Sep 2007 02:32:04 +0000
Source: labplot
Source-Version: 1.5.1.6-2

We believe that the bug you reported is fixed in the latest version of
labplot, which is due to be installed in the Debian FTP archive:

labplot_1.5.1.6-2.diff.gz
  to pool/main/l/labplot/labplot_1.5.1.6-2.diff.gz
labplot_1.5.1.6-2.dsc
  to pool/main/l/labplot/labplot_1.5.1.6-2.dsc
labplot_1.5.1.6-2_i386.deb
  to pool/main/l/labplot/labplot_1.5.1.6-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 430750@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Helen Faulkner <helen@debian.org> (supplier of updated labplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 02 Sep 2007 22:28:37 +1000
Source: labplot
Binary: labplot
Architecture: source i386
Version: 1.5.1.6-2
Distribution: unstable
Urgency: low
Maintainer: Helen Faulkner <helen@debian.org>
Changed-By: Helen Faulkner <helen@debian.org>
Description: 
 labplot    - data plotting and function analysis tool for KDE
Closes: 430750
Changes: 
 labplot (1.5.1.6-2) unstable; urgency=low
 .
   * Patch provided by Charles Plessy (thanks!).
   * Modifications to src/LTable.cc and admin/cvs.sh are now
     performed by quilt.
   * Copying admin/libtool.m4.in, admin/ltmain.sh, admin/config.guess,
     admin/config.sub, config.guess and config.sub from
     /usr/share/libtool/ and /usr/share/misc/.
   * These modifications should fix the following bug:
     labplot_1.5.1.6-1: FTBFS: autoconf: command not found
     (Closes: #430750).
   * Altered debian/rules to clean up after build process more cleanly (and
     eliminate lintian warning).
   * Including quilt, autotools-dev and libtool as Build-Depends.
   * Moved menu location to Applications/Science/Data Analysis, to comply with
     new system for Debian menus.
   * Altered src/x-lpl.desktop to remove lintian warnings about unknown keys.
   * Updated debian/override.
Files: 
 a18faad43e2229c7edc8c68e433825ad 795 kde optional labplot_1.5.1.6-2.dsc
 14705b5a8f419382e8b1684c8f08d24c 358595 kde optional labplot_1.5.1.6-2.diff.gz
 0b21565a0f546f52a09aedd5a6992ebe 6340122 kde optional labplot_1.5.1.6-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG23BF3eNc8VZTycQRAn0pAJ9wfkD2rwF2W3Z7YsVPChA8Tb7HRACgjOlz
fK8SNhOQROONdV3SE8BMBj0=
=M6dt
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Helen Faulkner <helen@debian.org>:
Bug#430750; Package labplot. Full text and rfc822 format available.

Acknowledgement sent to "Frank S. Thomas" <fst@debian.org>:
Extra info received and forwarded to list. Copy sent to Helen Faulkner <helen@debian.org>. Full text and rfc822 format available.

Message #31 received at 430750@bugs.debian.org (full text, mbox):

From: "Frank S. Thomas" <fst@debian.org>
To: 430750@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#430750: labplot_1.5.1.6-1: FTBFS: autoconf: command not found
Date: Sun, 23 Dec 2007 10:15:56 +0100
[Message part 1 (text/plain, inline)]
reopen 430750 !
notfixed 430750 1.5.1.6-2
tags 430750 - patch
stop

On Wednesday 27 June 2007 05:38:33 Steve Langasek wrote:
> Package: labplot
> Version: 1.5.1.6-1
> Severity: serious

> labplot is failing to build on some architectures with the following error:
>
> [...]
> cd . && /usr/bin/make -f admin/Makefile.common configure
> make[2]: Entering directory `/build/buildd/labplot-1.5.1.6'
> ./admin/cvs.sh: line 11: autoconf: command not found
> make[2]: *** [configure] Error 1
> [...]

Hi,

As it can be seen in build logs for 1.5.1.6-2 [1] and 1.5.1.6-2.1 [2], this 
bug hasn't been fixed in 1.5.1.6-2, therefore I'm reopening it and removing 
the record that it has been fixed in 1.5.1.6-2. I'm currently working on 
another non-maintainer upload which will address this issue.

Grüße,
Frank

[1,2]:
http://buildd.debian.org/fetch.cgi?&pkg=labplot&ver=1.5.1.6-2&arch=amd64&stamp=1188787078&file=log
http://buildd.debian.org/fetch.cgi?&pkg=labplot&ver=1.5.1.6-2.1&arch=powerpc&stamp=1198380765&file=log
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator set to "Frank S. Thomas" <fst@debian.org>. Request was from "Frank S. Thomas" <fst@debian.org> to control@bugs.debian.org. (Sun, 23 Dec 2007 09:18:47 GMT) Full text and rfc822 format available.

Bug no longer marked as fixed in version 1.5.1.6-2. Request was from "Frank S. Thomas" <fst@debian.org> to control@bugs.debian.org. (Sun, 23 Dec 2007 09:18:48 GMT) Full text and rfc822 format available.

Tags removed: patch Request was from "Frank S. Thomas" <fst@debian.org> to control@bugs.debian.org. (Sun, 23 Dec 2007 09:18:48 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Helen Faulkner <helen@debian.org>:
Bug#430750; Package labplot. Full text and rfc822 format available.

Acknowledgement sent to "Frank S. Thomas" <fst@debian.org>:
Extra info received and forwarded to list. Copy sent to Helen Faulkner <helen@debian.org>. Full text and rfc822 format available.

Message #42 received at 430750@bugs.debian.org (full text, mbox):

From: "Frank S. Thomas" <fst@debian.org>
To: 430750@bugs.debian.org
Subject: Re: Bug#430750: labplot_1.5.1.6-1: FTBFS: autoconf: command not found
Date: Mon, 24 Dec 2007 15:13:51 +0100
[Message part 1 (text/plain, inline)]
Hi Helen,

On Sunday 23 December 2007 10:15:56 Frank S. Thomas wrote:
> On Wednesday 27 June 2007 05:38:33 Steve Langasek wrote:
> > labplot is failing to build on some architectures with the following
> > error:
> >
> > [...]
> > cd . && /usr/bin/make -f admin/Makefile.common configure
> > make[2]: Entering directory `/build/buildd/labplot-1.5.1.6'
> > ./admin/cvs.sh: line 11: autoconf: command not found
> > make[2]: *** [configure] Error 1
> > [...]
>
> As it can be seen in build logs for 1.5.1.6-2 [1] and 1.5.1.6-2.1 [2], this
> bug hasn't been fixed in 1.5.1.6-2, therefore I'm reopening it and removing
> the record that it has been fixed in 1.5.1.6-2. I'm currently working on
> another non-maintainer upload which will address this issue.

My second NMU of labplot is now ready. To fix this bug I've changed some 
things which results in a very large diff to the previous revision (my first 
NMU, 1.5.1.6-2.1) but has the advantage of a clean .diff.gz which only 
contains the debian/ directory. The large diff to the previous revision is 
because I've removed all the remade GNU Build System files from the .diff.gz. 
The required autoreconfing now happens at build time in the config.status 
target by running "$(MAKE) -f admin/Makefile.common", this seems to be much 
less error prone than adding the remade build system files directly to 
the .diff.gz. To avoid that changes of the remade build system files end up 
in the .diff.gz, I've also removed the config.status target as prerequisite 
from the clean target.

My NMU packages are available at:
http://people.debian.org/~fst/NMUs/labplot/

Here is the complete diff to the previous version:
http://people.debian.org/~fst/NMUs/labplot_1.5.1.6-2.1_1.5.1.6-2.2.diff 

This is the same as above but only including the relevant changes in the 
debian/ directory (this patch also attached to this mail):
http://people.debian.org/~fst/NMUs/labplot_1.5.1.6-2.1_1.5.1.6-2.2_debian.diff

Merry Christmas!
Frank
[labplot_1.5.1.6-2.1_1.5.1.6-2.2_debian.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to fst@debian.org (Frank S. Thomas):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Frank S. Thomas" <fst@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 430750-close@bugs.debian.org (full text, mbox):

From: fst@debian.org (Frank S. Thomas)
To: 430750-close@bugs.debian.org
Subject: Bug#430750: fixed in labplot 1.5.1.6-2.2
Date: Mon, 24 Dec 2007 14:47:04 +0000
Source: labplot
Source-Version: 1.5.1.6-2.2

We believe that the bug you reported is fixed in the latest version of
labplot, which is due to be installed in the Debian FTP archive:

labplot_1.5.1.6-2.2.diff.gz
  to pool/main/l/labplot/labplot_1.5.1.6-2.2.diff.gz
labplot_1.5.1.6-2.2.dsc
  to pool/main/l/labplot/labplot_1.5.1.6-2.2.dsc
labplot_1.5.1.6-2.2_i386.deb
  to pool/main/l/labplot/labplot_1.5.1.6-2.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 430750@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank S. Thomas <fst@debian.org> (supplier of updated labplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 24 Dec 2007 13:55:05 +0100
Source: labplot
Binary: labplot
Architecture: source i386
Version: 1.5.1.6-2.2
Distribution: unstable
Urgency: low
Maintainer: Helen Faulkner <helen@debian.org>
Changed-By: Frank S. Thomas <fst@debian.org>
Description: 
 labplot    - data plotting and function analysis tool for KDE
Closes: 430750
Changes: 
 labplot (1.5.1.6-2.2) unstable; urgency=low
 .
   * Non-maintainer upload (encouraged by maintainer).
   * Modified build system to fix a bug caused by patches and autogenerated
     files (Closes: #430750). The following has been changed in debian/rules:
     - Run "$(MAKE) -f admin/Makefile.common" in the config.status target to
       remake the GNU Build System files at build time as suggested in #415656
       instead of adding the remade files directly in the .diff.gz. This
       requires build dependencies on "autoconf (>= 2.53)" and "automake1.9".
     - Removed config.status as prerequisite from the clean target, so that
       changes to the build system files do not end up in the .diff.gz.
     - Do not copy config.guess and config.sub into LabPlot's top-level source
       directory, it is unnecessary. These are also not in the .orig.tar.gz.
   * src/x-lpl.desktop: Reverted the change made in 1.5.1.6-2 because the keys
     Patterns and DefaultApp are required for KDE 3's MIME type handling, see
     http://techbase.kde.org/Development/Architecture/KDE3/MIME_Types. And also
     newer Lintian versions do not warn about these keys as unknown anymore.
   * Added debian/watch file using http://sf.net/labplot/ as alias for the
     qa.debian.org redirector as documented in uscan's manual page.
Files: 
 706d4ce072b35b1b6fc845a199357d87 876 kde optional labplot_1.5.1.6-2.2.dsc
 8c4233d8f32168d8d9a1b5c787e58479 9180 kde optional labplot_1.5.1.6-2.2.diff.gz
 f832f7c31b6adebfec34c195277ae147 6344374 kde optional labplot_1.5.1.6-2.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHb7xMft6HNdxCZCkRAtzGAJ95njPkVFIo4lSR1wNQJfDIogaz+gCfVkHl
01xlX17njrmN7stNCJjhM/w=
=rf4+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 07:54:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:46:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.